import torch 
  
data = torch.load('/home/data1/smn/SPFormer/data/scannetv2/data_temp/vertices_tensor.pt')
len = data.shape[0]
wid = data.shape[1]
 
with open("/home/data1/smn/SPFormer/data/scannetv2/vertices_txt.txt", "w") as file:
    for i in range(len):
        for j in range(wid):
            tmp = data[i][j].item()
            file.write(str(tmp))
            if j!=wid-1:
                file.write(' ')
        file.write('\n')
